"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useBufferOrInjectedTranslations = void 0;
const theme_check_common_1 = require("@shopify/theme-check-common");
async function useBufferOrInjectedTranslations(getDefaultTranslationsFactory, theme, rootURI) {
    const injectedGetDefaultTranslations = getDefaultTranslationsFactory(rootURI);
    const defaultTranslationsSourceCode = theme.find((sourceCode) => sourceCode.type === theme_check_common_1.SourceCodeType.JSON &&
        sourceCode.absolutePath.match(/locales/) &&
        sourceCode.absolutePath.match(/default\.json/));
    return (parseDefaultTranslations(defaultTranslationsSourceCode) ||
        (await injectedGetDefaultTranslations()));
}
exports.useBufferOrInjectedTranslations = useBufferOrInjectedTranslations;
function parseDefaultTranslations(sourceCode) {
    if (!sourceCode)
        return undefined;
    try {
        return JSON.parse(sourceCode.source);
    }
    catch (e) {
        return undefined;
    }
}
//# sourceMappingURL=useBufferOrInjectedTranslations.js.map