"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const DocumentManager_1 = require("./DocumentManager");
const vscode_uri_1 = require("vscode-uri");
(0, vitest_1.describe)('Module: DocumentManager', () => {
    let documentManager;
    (0, vitest_1.beforeEach)(() => {
        documentManager = new DocumentManager_1.DocumentManager();
    });
    (0, vitest_1.it)('should return a theme for a root', () => {
        // these will be different in windows vs unix
        const rootUri = vscode_uri_1.URI.file(__dirname);
        const fileUri = vscode_uri_1.Utils.joinPath(rootUri, 'test.liquid');
        // We expect forward slash paths (windows path get normalized)
        (0, vitest_1.expect)(fileUri.path).not.to.include('\\');
        documentManager.open(fileUri.toString(), '{{ "hi" }}', 0);
        const theme = documentManager.theme(rootUri.toString());
        (0, vitest_1.expect)(theme).to.have.lengthOf(1);
        (0, vitest_1.expect)(theme[0].absolutePath).not.to.include('\\');
        // `fileURI.toString()` lowercases c: in 'C:\dir\path'
        // Without the URI.parse().path, this test was failing for a dumb reason
        (0, vitest_1.expect)(theme[0].absolutePath).to.equal(vscode_uri_1.URI.parse(fileUri.toString()).path);
    });
});
//# sourceMappingURL=DocumentManager.spec.js.map