import { CompletionItem } from 'vscode-languageserver';
declare global {
    export namespace Chai {
        interface Assertion {
            /**
             * @param source {string} - the source to complete
             * @param message {CompletionItem[] | string[]} - the list of completion items or labels
             *
             * @example
             * expect(provider).to.complete("{% end", ["endcomment"])
             */
            complete(source: string, completionItem: CompletionItem[] | string[]): Promise<void>;
        }
    }
}
export declare const CompletionItemsAssertion: {
    name: string;
    fn: (this: Chai.AssertionPrototype, ...args: any[]) => Promise<void>;
};
